Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JMSPooledConnectionRuntimeMBean

public interface JMSPooledConnectionRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring pooled JMS connections. A pooled JMS connection is a session pool used by EJBs and servlets that use a resource-reference element in their EJB or Servlet deployment descriptor to define their JMS connection factories.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getAverageReserved()` The average number of JMS sessions that have been in use in this instance of the session pool since it was instantiated.
`int` | `getCreationDelayTime()` The average amount of time that it takes to create each JMS session in the session pool.
`int` | `getCurrCapacity()` The current capacity of the sesssion pool, which is always less than or equal to the maximum capacity of JMS sessions.
`int` | `getHighestNumAvailable()` The highest number of available JMS sessions in this instance of the session pool since it was instantiated.
`int` | `getHighestNumReserved()` The highest number of concurrent JMS sessions reserved for this instance of the session pool since it was instantiated.
`int` | `getHighestNumUnavailable()` The highest number of unusable JMS sessions in this instance of the session pool since it was instantiated.
`int` | `getHighestNumWaiters()` The highest number of threads waiting to retrieve a JMS session in this instance of the session pool since it was instantiated.
`int` | `getHighestWaitSeconds()` The highest number of seconds that an application waited to retrieve a JMS session in this instance of the session pool since it was instantiated.
`int` | `getMaxCapacity()` The maximum number of JMS sessions that can be allocated using the session pool.
`int` | `getNumAvailable()` The number of available JMS sessions in the session pool that are not currently in use.
`int` | `getNumConnectionObjects()` The number of JMS connections that back this session pool.
`int` | `getNumFailuresToRefresh()` The number of failed attempts to create a JMS session in the session pool.
`int` | `getNumLeaked()` The number of JMS sessions that were removed from the session pool, but which were not returned.
`int` | `getNumReserved()` The number of JMS sessions that are currently in use.
`int` | `getNumUnavailable()` The number of JMS sessions in the session pool that are not currently usable for some reason.
`int` | `getNumWaiters()` The number of threads waiting to retrieve a JMS session from the session pool.
`int` | `getTotalNumAllocated()` The total number of JMS sessions allocated by this session pool in this instance of the session pool since it was instantiated.
`int` | `getTotalNumDestroyed()` The total number of JMS sessions that were created and then destroyed in this instance of the session pool since it was instantiated.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getNumLeaked

    public int getNumLeaked()

  The number of JMS sessions that were removed from the session pool, but which were not returned.

  Returns:
    The numLeaked value

### getNumFailuresToRefresh

    public int getNumFailuresToRefresh()

  The number of failed attempts to create a JMS session in the session pool.

  Returns:
    The numFailuresToRefresh value

### getCreationDelayTime

    public int getCreationDelayTime()

  The average amount of time that it takes to create each JMS session in the session pool.

  Returns:
    The creationDelayTime value

### getNumWaiters

    public int getNumWaiters()

  The number of threads waiting to retrieve a JMS session from the session pool.

  Returns:
    The numWaiters value

### getHighestNumWaiters

    public int getHighestNumWaiters()

  The highest number of threads waiting to retrieve a JMS session in this instance of the session pool since it was instantiated.

  Returns:
    The highestNumWaiters value

### getHighestWaitSeconds

    public int getHighestWaitSeconds()

  The highest number of seconds that an application waited to retrieve a JMS session in this instance of the session pool since it was instantiated.

  Returns:
    The highestWaitSeconds value

### getNumReserved

    public int getNumReserved()

  The number of JMS sessions that are currently in use.

  Returns:
    The numReserved value

### getHighestNumReserved

    public int getHighestNumReserved()

  The highest number of concurrent JMS sessions reserved for this instance of the session pool since it was instantiated.

  Returns:
    The highestNumReserved value

### getNumAvailable

    public int getNumAvailable()

  The number of available JMS sessions in the session pool that are not currently in use.

  Returns:
    The numAvailable value

### getHighestNumAvailable

    public int getHighestNumAvailable()

  The highest number of available JMS sessions in this instance of the session pool since it was instantiated.

  Returns:
    The highestNumAvailable value

### getNumUnavailable

    public int getNumUnavailable()

  The number of JMS sessions in the session pool that are not currently usable for some reason.

  Returns:
    The numUnavailable value

### getHighestNumUnavailable

    public int getHighestNumUnavailable()

  The highest number of unusable JMS sessions in this instance of the session pool since it was instantiated.

  Returns:
    The highestNumUnavailable value

### getTotalNumAllocated

    public int getTotalNumAllocated()

  The total number of JMS sessions allocated by this session pool in this instance of the session pool since it was instantiated.

  Returns:
    The totalNumAllocated value

### getTotalNumDestroyed

    public int getTotalNumDestroyed()

  The total number of JMS sessions that were created and then destroyed in this instance of the session pool since it was instantiated.

  Returns:
    The totalNumDestroyed value

### getMaxCapacity

    public int getMaxCapacity()

  The maximum number of JMS sessions that can be allocated using the session pool.

  Returns:
    The maxCapacity value

### getCurrCapacity

    public int getCurrCapacity()

  The current capacity of the sesssion pool, which is always less than or equal to the maximum capacity of JMS sessions.

  Returns:
    The currCapacity value

### getAverageReserved

    public int getAverageReserved()

  The average number of JMS sessions that have been in use in this instance of the session pool since it was instantiated. This generally happens when an EJB or servlet is deployed that requires the session pool.

  Returns:
    The averageReserved value

### getNumConnectionObjects

    public int getNumConnectionObjects()

  The number of JMS connections that back this session pool. This value may be greater than one if different sessions were created using different combinations of a username and password to contact the JMS server.

  Returns:
    The numConnectionObjects value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD